Bug 1383213

Summary: CVE-2016-8568 CVE-2016-8569 libgit2: Invalid memory accesses parsing object files [epel-all]
Product: [Fedora] Fedora EPEL Reporter: Andrej Nemec <anemec>
Component: libgit2Assignee: Pete Walter <walter.pete>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: el6CC: erik, i, veeti.paananen, walter.pete
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libgit2-0.26.3-1.fc27 libgit2-0.26.3-1.fc28 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-03-20 18:20:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1383211    

Description Andrej Nemec 2016-10-10 08:21:43 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
    
[bug automatically created by: add-tracking-bugs]

Comment 1 Andrej Nemec 2016-10-10 08:21:53 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1383211,1383213

# Description of your update
notes=Security fix for CVE-2016-8568, CVE-2016-8569

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Igor Gnatenko 2016-10-10 08:39:06 UTC
I know that Pete Walter started taking care of libgit2* stack in EPEL7, so reassigning bug to him (also I orphaned this package in EPEL* as I got it accidentally).

Comment 3 Igor Gnatenko 2016-11-19 18:36:13 UTC
ping?

Comment 4 Pete Walter 2017-08-10 09:08:56 UTC
I'm not working on EPEL6 libgit2. Just holding on to the package so it doesn't get dropped. Help appreciated if someone wants to do the work of backporting patches.

Comment 5 Fedora Update System 2018-03-12 14:29:22 UTC
libgit2-0.26.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-924da855e1

Comment 6 Fedora Update System 2018-03-12 14:29:41 UTC
libgit2-0.26.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4fb7cdd27f

Comment 7 Fedora Update System 2018-03-12 17:17:17 UTC
libgit2-0.26.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-924da855e1

Comment 8 Fedora Update System 2018-03-12 19:41:17 UTC
libgit2-0.26.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4fb7cdd27f

Comment 9 Fedora Update System 2018-03-20 18:20:05 UTC
libgit2-0.26.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-03-30 12:51:23 UTC
libgit2-0.26.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.